Aktivierung SSL Zertifikat - Frontend nicht mehr erreichbar

  • Hallo,

    habe plötzlich Probleme meine Webseite http://www.schweitzer1.at im Frontend aufzurufen. Im Browser wurde diese zuerst als "nicht sicher" markiert und entsprechend auch nicht geladen/angezeigt.


    Dachte mir das hat mit SSL Zertifikaten zu tun und habe daher über meinen Provider world4you ein Basispaket des SSL Zertifikats installiert - dazu habe ich im Joomla Backend (Version 3.10.11) in der Konfiguration „HTTPS erzwingen“ für die gesamte Seite eingestellt.


    Nun wird zwar das „nicht sicher“ im Browser nicht mehr angezeigt, jedoch auch das Frontend nicht geladen - der Bildschirm bleibt einfach weiß.

    Kann mir jemand mit einem Lösungsvorschlag weiterhelfen?

    Vielen Dank,

    Tom

  • Hallo Zusammen,

    habe jetzt im Backend das Fehler berichten und System Debugger entsprechend aktiviert. Beim Aufruf der Seite wird nun ein langer Textblock angezeigt - kann man da den Fehler bereits rauslesen? Da ich mit den technischen Angaben nichts anfangen kann, bitte um Hilfe das mir das jemand übersetzt bzw. einen Tipp gibt was als nächstes zu tun ist.

    Vielen Dank schonmal im voraus.

    Tom

  • hier der Text:

    Code
    Deprecated: Joomla\Input\Input implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) in /home/.sites/74/site2730453/web/libraries/vendor/joomla/input/src/Input.php on line 41 Deprecated: Return type of Joomla\Input\Input::count() should either be compatible with Countable::count(): int, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /home/.sites/74/site2730453/web/libraries/vendor/joomla/input/src/Input.php on line 170 Deprecated: Joomla\CMS\Input\Input implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) in /home/.sites/74/site2730453/web/libraries/src/Input/Input.php on line 31 Deprecated: Joomla\CMS\Input\Cookie implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) in /home/.sites/74/site2730453/web/libraries/src/Input/Cookie.php on line 21 Deprecated: str_replace(): Passing null to parameter #3 ($subject) of type array|string is deprecated in /home/.sites/74/site2730453/web/libraries/src/Uri/Uri.php on line 141 Deprecated: Optional parameter $context declared before required parameter $params is implicitly treated as a required parameter in /home/.sites/74/site2730453/web/plugins/system/komento/komento.php on line 62 Fatal error: Array and string offset access syntax with curly braces is no longer supported in /home/.sites/74/site2730453/web/components/com_komento/classes/json.php on line 172

    Steht ja eigentlich alles in der Anleitung.

    hab lt. Anleitung die Einstellungen vorgenommen - ansonsten lese ich da als Laie nichts weiter raus, darum ja die Frage um Hilfe

    Einmal editiert, zuletzt von Indigo66 (22. November 2022 um 06:20) aus folgendem Grund: Ein Beitrag von Tom3000 mit diesem Beitrag zusammengefügt.

  • also ich vermute dass dein Hoster auf php8 umgestellt haben könnte...

    Habe jetzt mit den PHP Einstellungen rumprobiert - es lag tatsächlich an der PHP Einstellung. Diese war beim Hoster auf 8.1 eingestellt - habe diese nun auf 7.4 untergestellt und nun funktioniert die Seite wieder! :)

    Danke für die wertvollen Kommentare und Tipps!

    Der Beitrag kann geschlossen werden

    lg,

    Tom

  • Achte bei deinem Hoster drauf, wie lange PHP 7.4 noch (kostenlos) angeboten wird. Der offizielle Support endet am 28.11.2022.

    Deshalb auch der Hinweis zum Call Stack, um herauszufinden, welche Erweiterungen mit PHP 8 Probleme bereiten!

    Der Beitrag kann geschlossen werden

  • Fatal error: Array and string offset access syntax with curly braces is no longer supported in components/com_komento/classes/json.php on line 172

    Das ist jedenfalls die entscheidende Zeile, die zu weißer Seite führte.

    Komponente com_komento ist nicht PHP8-kompatibel.

    Dass hier kein Backtrace wie in Anleitung angezeigt wurde ist schon mal möglich, wenn es eine JSON, AJAX oder sonstwas-ähnliches-Abfrage ist.

  • Das ist jedenfalls die entscheidende Zeile, die zu weißer Seite führte.

    Komponente com_komento ist nicht PHP8-kompatibel.

    Dass hier kein Backtrace wie in Anleitung angezeigt wurde ist schon mal möglich, wenn es eine JSON, AJAX oder sonstwas-ähnliches-Abfrage ist.

    Hallo Re:Later,

    danke für den Tipp - habe nun Komento im Backend - Extensions - Manage - Manage gesucht und alle Einträge dazu deinstalliert, da ich es ohnehin nicht brauche. Dann habe ich die PHP Version wieder auf 8.0 bzw. 8.1 hochgestellt und wieder einen Fehler erhalten:

    0 - Unsupported operand types: int - string

    You may not be able to visit this page because of:

    1. an out-of-date bookmark/favourite
    2. a search engine that has an out-of-date listing for this site
    3. a mistyped address
    4. you have no access to this page
    5. The requested resource was not found.
    6. An error has occurred while processing your request.

    Please try one of the following pages:

    If difficulties persist, please contact the System Administrator of this site and report the error below.

    Unsupported operand types: int - string

    /home/.sites/74/site2730453/web/templates/theme3299/includes/includes.php:132

    Call stack
    #FunctionLocation
    1()JROOT/templates/theme3299/includes/includes.php:132
    2include_once()JROOT/templates/theme3299/index.php:2
    3require()JROOT/libraries/src/Document/HtmlDocument.php:678
    4Joomla\CMS\Document\HtmlDocument->_loadTemplate()JROOT/libraries/src/Document/HtmlDocument.php:740
    5Joomla\CMS\Document\HtmlDocument->_fetchTemplate()JROOT/libraries/src/Document/HtmlDocument.php:555
    6Joomla\CMS\Document\HtmlDocument->parse()JROOT/libraries/src/Application/CMSApplication.php:1098
    7Joomla\CMS\Application\CMSApplication->render()JROOT/libraries/src/Application/SiteApplication.php:778
    8Joomla\CMS\Application\SiteApplication->render()JROOT/libraries/src/Application/CMSApplication.php:231
    9Joomla\CMS\Application\CMSApplication->execute()JROOT/index.php:49

    Hast du eine Idee woran es noch liegen könnte? Habe über meinen Hoster die Datenbank geprüft, dort gibt es noch Tabellen zu Komento - soll ich dieser auslöschen?

    Danke schonmal,

    Tom

  • HP Version wieder auf 8.0 bzw. 8.1 hochgestellt

    Wie schon öfters erwähnt, ein großer Unterschied. Bleib bei Joomla 3 unbedingt bei PHP8.0. 8.1 ist weitaus größerer Aufwand.

    In der Theorie kann ich dir das schon sagen, was das Problem ist, aber in Unkenntnis deines Template-Codes kann ich natürlich nicht spezifisch weiterhelfen.

    Da wir versucht irgendwas auszurechnen, aber keine Zahlen verwendet. so was wie

    Code
    $lala = 3 - "irgendwas";

    Wir müssten also mindestens die Datei /templates/theme3299/includes/includes.php mal sehen. Am besten ganz, wenn sie keine 5000 Zeilen oder so hat.

    Siehe: Wie postet man Code-Ausschnitte in diesem Forum

  • Habe die Zeile 132 in der betroffenen includes.php mal auskommentiert, jetzt wird mir auf der Seite bei PHP8.0 kein Fehler mehr angezeigt.

    Trotzdem hier nochmal die includes.php: